Bug 493491 - repomanage confuses when cross-release packages have cross-numbered versions
repomanage confuses when cross-release packages have cross-numbered versions
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-01 18:45 EDT by John Reiser
Modified: 2014-01-21 18:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-01 19:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2009-04-01 18:45:11 EDT
Description of problem: If a repository contains packages for two different releases, then repomanage can give counter-intuitive results without warning.  For instance:
  315902 2009-03-16 16:06 tomcat5-5.5.27-5.9.fc11.noarch.rpm
  313878 2008-12-10 12:34 tomcat5-5.5.27-6.1.fc10.noarch.rpm
 1246583 2009-03-16 16:06 tomcat5-admin-webapps-5.5.27-5.9.fc11.noarch.rpm
 1242906 2008-12-10 12:34 tomcat5-admin-webapps-5.5.27-6.1.fc10.noarch.rpm
   99602 2009-03-16 16:06 tomcat5-common-lib-5.5.27-5.9.fc11.noarch.rpm
   98440 2008-12-10 12:34 tomcat5-common-lib-5.5.27-6.1.fc10.noarch.rpm
  483158 2009-03-16 16:06 tomcat5-jasper-5.5.27-5.9.fc11.noarch.rpm
  481873 2008-12-10 12:34 tomcat5-jasper-5.5.27-6.1.fc10.noarch.rpm
 4765569 2009-03-16 16:06 tomcat5-jasper-eclipse-5.5.27-5.9.fc11.noarch.rpm
 4764326 2008-12-10 12:34 tomcat5-jasper-eclipse-5.5.27-6.1.fc10.noarch.rpm
   75887 2009-03-16 16:06 tomcat5-jsp-2.0-api-5.5.27-5.9.fc11.noarch.rpm
   74793 2008-12-10 12:34 tomcat5-jsp-2.0-api-5.5.27-6.1.fc10.noarch.rpm
 1785885 2009-03-16 16:06 tomcat5-server-lib-5.5.27-5.9.fc11.noarch.rpm
 1783803 2008-12-10 12:34 tomcat5-server-lib-5.5.27-6.1.fc10.noarch.rpm
  118555 2009-03-16 16:06 tomcat5-servlet-2.4-api-5.5.27-5.9.fc11.noarch.rpm
  117427 2008-12-10 12:34 tomcat5-servlet-2.4-api-5.5.27-6.1.fc10.noarch.rpm
 1334564 2009-03-16 16:06 tomcat5-webapps-5.5.27-5.9.fc11.noarch.rpm
 1310368 2008-12-10 12:34 tomcat5-webapps-5.5.27-6.1.fc10.noarch.rpm
Notice that the fc10 packages have higher version numbers than the fc11 packages.  "repomanage -o ." will say that the fc11 packages are older.  There are some problems interpreting this result, because in some sense the fc10 packages are older even though they have higher version numbers.  Shouldn't repomange at least warn about this?

Version-Release number of selected component (if applicable):

How reproducible: always

Steps to Reproduce:
1. "repomanage -o ." in a directory containing the tomcat5 packages listed in the Description (.fc11 packages have lower version numbering than .fc10 packages)
Actual results: .fc11 packages are listed as older, with no warning about possible confusion with .fc10 packages whose version strings are higher.

Expected results: warning about cross-release comparison

Additional info: At the beginning of the alpha period for Fedora 11, the .fc10 packages were the only ones present in the repository.  Later the .fc11 packages were added, but with lower version strings.  [The repository was created from scratch  and used only for Fedora 11; nothing carried over from any use for Fedora 10.]
Comment 1 seth vidal 2009-04-01 19:02:43 EDT
No repomanage cannot know about this b/c it can't know that .fc10 in the release field means that package is for fedora 10. So it only does a version comparison and reports the older packages based on e-v-r comparison.
Comment 2 James Antill 2009-04-01 23:38:01 EDT
 Also note that, for Fedora, we created:


...to try and solve this problem in the right way (ie. don't do that).

Note You need to log in before you can comment on or make changes to this bug.